﻿html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 80px;
    /*background-image: url('images/SplashScreen.png');*/
}
.grifo {
    color: #10A986;
}
/* #region Footer styles */
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    font-size: 0.85em;
}
/* #endregion */

/* #region EditorTemplate*/
.anag-table-container {
    height: 100%;
    width: 100%;
}
/* #endregion */

.partner {
    color: #04471c;
}
.bgpartner {
    background-color: #04471c;
}

/* #region custom Kendo UI styles */
#configure {
    display: none;
}

.k-panelbar .k-content {
    padding: 20px;
}

p .k-button {
    margin: 0 15px 0 0;
}

.k-state-active .label {
    font-size: 1em;
}

@media (max-width: 767px) {
    #responsive-panel {
        transition: all linear .2s;
    }

    #configure {
        display: block;
        float: right;
    }

    .k-rpanel {
        width: 100%;
    }

    .k-rpanel-expanded {
        margin-top: 1rem;
    }

    .navbar-header {
        width: 100%;
    }

    .footer {
        height: 60px;
    }

    .k-menu .k-item,
    .k-menu .k-link {
        width: 100%;
    }

    .k-menu .k-link {
        box-sizing: border-box;
    }
}


/*NEW CSS START*/

.control-label{
    font-weight: 600;
}
    .control-label.required {
        color: #e01b2e;
    }

.grifo-tabs-row .k-tabstrip-wrapper {
    width: 100%;
}

.k-datepicker .k-select {
    border-color: #10A986 !important;
    color: #e4e7eb !important;
    background-color: #10A986 !important;
    padding: 5px 10px !important;
    border-top-left-radius: 10px !important;
    border-bottom-left-radius: 0px !important;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s !important;
}

.grifo-alert {
    position: relative;
    padding: 0;
    min-width: 250px;
    margin-bottom: 10px;
}

.grifo-alert button.close {
    margin: 0.45rem 1rem;
    opacity: 0.75;
}

    .grifo-alert button.close:hover {
        opacity: 1;
    }

.alert-icon,
.alert-text {
    display: table-cell;
    vertical-align: middle;
}

.alert-icon .k-icon {
    min-width: 40px;
    text-align: center;
    font-size: 1.5rem;
    color: white;
    /*background-color: rgba(0, 0, 0, 0.25);*/
    padding: 1rem;
}

.alert-text {
    color: #2d3a51;
    padding: 1.2rem;
    width: 100%;
    font-size: 14px;
}

    .alert-text > h5 {
        margin-top: 0;
        font-weight: 600;
    }

.grifo-alert .alert-link {
    font-weight: normal;
    color: #4790e6;
}

.grifo-alert ul {
    margin: 0;
}

    .grifo-alert ul li {
        margin-bottom: 0.2rem;
    }

        .grifo-alert ul li:last-child {
            margin-bottom: 0;
        }

.alert-warning {
    background-color: #fff8f5;
    border-color: #ffccb3;
}

    .alert-warning .alert-text h5 {
        color: #ff5400;
    }

    .alert-warning button.close {
        color: #ff5400;
    }

    .alert-warning .alert-icon {
        background-color: #ff5400;
    }

.alert-help {
    background-color: #fffcf5;
    border-color: #ffe4ad;
}

    .alert-help .alert-text h5 {
        color: #ffab00;
    }

    .alert-help button.close {
        color: #ffab00;
    }

    .alert-help .alert-icon {
        background-color: #ffab00;
    }

.alert-info {
    background-color: #f7fbff;
}
    .alert-info.sqrd .alert-text {
        border: 1px solid #cee5ff;
        border-bottom-right-radius: 0px;
        border-top-right-radius: 0px;
    }
    .alert-info .alert-text {
        border: 1px solid #cee5ff;
        border-bottom-right-radius: 10px;
        border-top-right-radius: 10px;
    }

    .alert-info .alert-text h5 {
        color: #3592ff;
        font-size: 14px;
    }

    .alert-info button.close {
        color: #3592ff;
    }

    .alert-info.sqrd .alert-icon {
        background-color: #3592ff;
        border-bottom-left-radius: 0px;
        border-top-left-radius: 0px;
        box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
        transition: 0.3s;
    }
    .alert-info .alert-icon {
        background-color: #3592ff;
        border-bottom-left-radius: 10px;
        border-top-left-radius: 10px;
        box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
        transition: 0.3s;
    }

.alert-danger {
    background-color: #fdf5f5;
    border-color: #f6d3d3;
}

    .alert-danger .alert-text h5 {
        color: #d33534;
    }

    .alert-danger button.close {
        color: #d33534;
    }

    .alert-danger .alert-icon {
        background-color: #d33534;
    }

.alert-success {
    background-color: #edf8ed;
    border-color: #b9e4b9;
}

    .alert-success .alert-text h5 {
        color: #42ae42;
    }

    .alert-success button.close {
        color: #42ae42;
    }

    .alert-success .alert-icon {
        background-color: #42ae42;
    }

.custom-control-input:checked ~ .custom-control-label::before {
    color: #fff;
    background-color: #10A986 !important;
}

.custom-checkbox .custom-control-input:checked:focus ~ .custom-control-label::before {
    box-shadow: 0 0 0 1px #fff, 0 0 0 0.2rem rgba(0, 255, 0, 0.25)
}

.custom-checkbox .custom-control-input:focus ~ .custom-control-label::before {
    box-shadow: 0 0 0 1px #fff, 0 0 0 0.2rem rgba(0, 0, 0, 0.25)
}

.custom-checkbox .custom-control-input:active ~ .custom-control-label::before {
    background-color: #C8FFC8;
}

.custom-control-input:checked ~ .custom-control-label::after {
    top: 0.4rem;
    left: -1.4rem;
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10l3 3l6-6'/%3e%3c/svg%3e") !important;
}

.custom-control-label{
    font-size: 14px;
    margin-left: 5px;
}
.custom-control-label::before {
    border-radius: 5px !important;
    padding: 10px !important;
    pointer-events: auto;
    cursor: pointer;

}
    .custom-control-label::after {
        cursor: pointer;
    }

.btn.v-bottom {
    position: absolute !important;
    bottom: 0 !important;
}

.grifo-card {
    box-shadow: 0px 13px 10px -7px rgba(0, 0, 0,0.1);
    transition: 0.3s;
    padding: 15px;
    margin-top: 10px;
    border: 1px solid #e2e2e275;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    border-left: 5px solid #10A986;
    background-color: #ffff;
}

#tabStripCliente .k-content {
    background-color: #f9f9f9;
}

.k-tooltip.k-tooltip-error {
    background-color: #dc3545 !important;
    color: #fff !important;
    padding: 5px 10px;
    border-radius: 5px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
}

.docStatusSpan {
    color: #fff;
    background-color: #3c9aff;
    font-size: 18px;
    font-weight: 600;
    border-radius: 5px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
    max-width: 30px;
    width: 100%;
    display: block;
    margin: auto;
}
    .docStatusSpan.P {
        background-color: #10a986;
    }
    .docStatusSpan.S {
        background-color: #ffac31;
    }
    .docStatusSpan.M {
        background-color: #dc3545;
    }



#DataGrid .k-grid-edit {
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
}
#DataGrid .k-grid-Delete {
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
}

#DataGrid td {
    text-align: center;
}

/*.k-tooltip {
    background-color: #000 !important;
    color: #fff !important;
    padding: 5px 10px;
    border-radius: 5px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
}*/
#TbCliente .k-action-buttons {
    display: none;
}

.grifo-tab-header {
    display: flex;
}

.grifo-tab-icon {
    font-size: 30px !important;
    vertical-align: bottom !important;
    color: #6c757d;
    margin-right: 5px;
}

.grifo-tab-data {
    background-color: #f8f9fa;
    border-top: 5px solid #ced3db;
    border-radius: 10px;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.bordered-icon {
    color: #10A986;
    font-size: 25px !important;
    border: 2px solid #10A986;
    border-radius: 25px;
    margin: 0px 5px;
}

    .bordered-icon.small {
        color: #10A986;
        font-size: 15px !important;
        margin: 0px 5px;
        padding: 12px;
    }

    .bordered-icon.medium {
        color: #10A986;
        font-size: 20px !important;
        margin: 0px 5px;
        padding: 12px;
    }


@media (min-width: 1800px) {
    #DataGrid .k-grid-content {
        height: calc(100% - 45px) !important;
    }
}

.k-operator-hidden label:first-child {
        color: transparent;
        width: 45px;
    }
        .k-operator-hidden label:first-child::before{
                content: 'Si';
                color: #000;
                border: 1px solid #10a986;
                padding: 5px 10px;
                border-radius: 5px;
                cursor: pointer;
                font-weight: 600;
        }

    .k-operator-hidden label:nth-child(2) {
        color: transparent;
        width: 45px;
    }

        .k-operator-hidden label:nth-child(2)::before {
            content: 'No';
            border: 1px solid #dc3545;
            color: #000;
            padding: 5px 6px;
            border-radius: 5px;
            cursor: pointer;
            font-weight: 600;
        }

    .k-operator-hidden input[type="radio"] {
        display:none;
    }

.k-operator-hidden label:has(input[type="radio"][value="true"]:checked)::before {
    color: #fff;
    background-color: #10a986;
}
.k-operator-hidden label:has(input[type="radio"][value="false"]:checked)::before {
    color: #fff;
    background-color: #dc3545;
}

.k-operator-hidden label:nth-child(2):hover::before {
    color: #fff;
    background-color: #dc3545;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
}
.k-operator-hidden label:first-child:hover::before {
    color: #fff;
    background-color: #10a986;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
}


